petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscLs

produce a listing of the files in a directory

### Synopsis

    PetscErrorCode  PetscLs(MPI_Comm comm,const char dirname[],char found[],size_t tlen,PetscBool  *flg)

Collective on MPI_Comm

### Input Parameter

| comm | - the MPI communicator
| dirname | - the directory name
| tlen | - the length of the buffer found[]

### Output Parameter

| found | - listing of files
| flg | - the directory exists

### See Also

PetscTestFile(), PetscLs()

### Level

intermediate

### Location

src/sys/fileio/ftest.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages